package com.sqx.modules.lostAndFound.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sqx.common.utils.Result;
import com.sqx.modules.lostAndFound.dao.LostFoundDao;
import com.sqx.modules.lostAndFound.entity.LostFound;
import com.sqx.modules.lostAndFound.service.LostFoundService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class LostFoundServiceImpl extends ServiceImpl<LostFoundDao, LostFound> implements LostFoundService {

    @Override
    public Result insert(LostFound lostFound) {
        return Result.success().put("data",baseMapper.insert(lostFound));
    }
}
